/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-11-05
 * 描述            ：二级接口-平整机_L2_PDO_缺陷信息
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Tpm.vo;
import java.io.Serializable;

import market.Mes.Tpm.mapper.IfTpm01L2PdoDfcMapper;

import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="IF_TPM01_L2_PDO_DFC", namespace=IfTpm01L2PdoDfcMapper.class)
public class IfTpm01L2PdoDfc extends BaseVO implements Serializable {
	/** 
	 * 记录号（由业务接口创建，唯一标识消息）
	 */ 
	@Id
	private Long serial_no;
	public Long getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(Long serial_no) {
		this.serial_no = serial_no;
	}

	/** 
	 * 序号（由业务创建，1 - 99）
	 */ 
	@Id
	private Long defect_no;
	public Long getDefect_no() {
		return this.defect_no;
	}
	public void setDefect_no(Long defect_no) {
		this.defect_no = defect_no;
	}

	/** 
	 * 缺陷类型代码
	 */ 
	@Column
	private String defect_type;
	public String getDefect_type() {
		return this.defect_type;
	}
	public void setDefect_type(String defect_type) {
		this.defect_type = defect_type;
	}

	/** 
	 * 缺陷级别（1：slight,、2：medium、3：heavy）
	 */ 
	@Column
	private String defect_intensity;
	public String getDefect_intensity() {
		return this.defect_intensity;
	}
	public void setDefect_intensity(String defect_intensity) {
		this.defect_intensity = defect_intensity;
	}

	/** 
	 * 起始位置（m，Calculate from tail, like weldseam position）
	 */ 
	@Column
	private Long start_pos;
	public Long getStart_pos() {
		return this.start_pos;
	}
	public void setStart_pos(Long start_pos) {
		this.start_pos = start_pos;
	}

	/** 
	 * 终止位置（m）
	 */ 
	@Column
	private Long end_pos;
	public Long getEnd_pos() {
		return this.end_pos;
	}
	public void setEnd_pos(Long end_pos) {
		this.end_pos = end_pos;
	}

}
